ChiliProject - Bug # 412: Test errors on 1.9.2 after acts_as_journalized merge

Status: Closed Priority: Normal

Author: Gregor Schmidt Category:

Created: 2011-05-13 Assignee:

Updated: 2011-05-13 Due date:

Remote issue URL:

Affected version: unstable

Description: After the acts_as_journalized, the test do no longer run on Ruby 1.9.2. This is the case on my local machine

as well as ci.chiliproject.org.

On the one hand, the errors result from an API change in 1.9. Module#instance_methods now returns an
Array of Symbols instead of String like in 1.8.7. In
@vendor/plugins/acts_as_journalized/lib/redmine/acts/journalized/deprecated.rb@ it is assumed, that the
instance_methods returns strings, which is wrong.

Furthermore, there seems to be change in the way @require@ works. This was already an issue with

commit:17f86d96 and somehow also applies to

@vendor/plugins/acts_as_journalized/lib/acts_as_journalized.rb@

Associated revisions

2011-05-13 11:52 pm - Gregor Schmidt
[#412] fixes to make tests run on 1.9.2

2011-05-14 01:36 am - Felix SchArnfer
Merge pull request #53 from schmidt/b/412-test-errors-in-1.9.2

Fix test errors on 1.9.2 after acts_as_journalized merge. #412

History

2011-05-13 09:55 pm - Gregor Schmidt
- Assignee deleted (Gregor Schmidt)

- Status changed from Open to Ready for review

Pull request is at https://github.com/chiliproject/chiliproject/pull/53.

Thanks for having a look.

2011-05-13 11:37 pm - Felix Schéafer

- Status changed from Ready for review to Closed

Merged in commit:00ca2af1d348a3b00094a92fe5e296df62119514, thanks.
